Retrieves users
curl --request GET \
--url https://api.hubapi.com/settings/users/2026-09-beta \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/users/2026-09-beta"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/users/2026-09-beta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"seatNames": [
"<string>"
],
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}User Provisioning
Retrieves users
Retrieve a paginated list of users in your HubSpot account. This endpoint allows you to specify the maximum number of results per page and to use a paging cursor for navigating through the list of users.
GET
/
settings
/
users
/
2026-09-beta
Retrieves users
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on August 3, 2026
Was this page helpful?
⌘I